#include <bits/stdc++.h>
using namespace std;
int n,l,h[1005];
int main(){
    cin >> n >> l;
    for (int i=1;i<=n;i++){
        cin >> h[i];
    }
    bool nasao=false;
    for (int i=1;i<=n;i++){
        if(h[i]<=l){
            nasao=true;
             cout << i << "\n";
            break;
        }
    }
    if(!nasao) cout << -1 << "\n";
    return 0;
}